Subject: Re: [Gen-art] Genart last call review of draft-ietf-pim-igmp-mld-extension-05

From: Lars Eggert <[email-masked]>
Date: Thu, 3 Feb 2022 12:10:14 +0200

Pete, thank you for your review. I have entered a No Objection ballot for this document.

Lars

> On 2022-1-14, at 1:45, Pete Resnick via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Pete Resnick
> Review result: Ready with Issues
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-pim-igmp-mld-extension-05
> Reviewer: Pete Resnick
> Review Date: 2022-01-13
> IETF LC End Date: 2022-01-19
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary: One possible minor issue and a couple of nits, but otherwise ready.
> 
> Major issues:
> 
> None.
> 
> Minor issues:
> 
> In section 3 it says,
> 
>   There is no alignment or padding.
> 
> Are you sure that implementations are going to work with this? In my old brain,
> there are still memories of trying to read 16-bit values out of an odd-aligned
> location caused all sorts of problems. Are you sure you don't want to at least
> pad this to even lengths?
> 
> Nits/editorial comments:
> 
> In section 3, this sentence confused me for a moment:
> 
>   A previously reserved bit in the IGMPv3 and MLDv2 headers is used to
>   indicate whether this extension is used.
> 
> I suggest:
> 
>   For each of the IGMPv3 and MLDv2 headers, a previously reserved bit
>   is used to indicate the presence of this extension.
> 
> In section 3:
> 
>   When this extension
>   mechanism is used, the number of Group Records in each Report message
>   should be kept small enough that the entire message, including any
>   extension TLVs can fit within the network MTU.
> 
> That "should" looks pretty interoperability-related to me. Perhaps "SHOULD"?
> 
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art